Bug 996059 - Review Request: python-oslo-messaging - OpenStack common messaging library
Review Request: python-oslo-messaging - OpenStack common messaging library
Status: CLOSED NEXTRELEASE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Alan Pevec
Fedora Extras Quality Assurance
:
: 1005372 (view as bug list)
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2013-08-12 06:48 EDT by Mark McLoughlin
Modified: 2013-09-08 22:40 EDT (History)
6 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-08-13 09:12:38 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
apevec: fedora‑review+
limburgher: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Mark McLoughlin 2013-08-12 06:48:01 EDT
Spec URL: http://markmc.fedorapeople.org/python-oslo-messaging.spec
SRPM URL: http://markmc.fedorapeople.org/python-oslo-messaging-1.2.0-0.1.a1.fc20.src.rpm
Fedora Account System Username: markmc
Description:

The Oslo project intends to produce a python library containing
infrastructure code shared by OpenStack projects. The APIs provided
by the project should be high quality, stable, consistent and generally
useful.

The Oslo messaging API supports RPC and notifications over a number of
different messaging transports.
Comment 1 Alan Pevec 2013-08-12 07:41:46 EDT
Summary:
*     License file is not included in the main package %doc
*     usr/lib/python2.7/site-packages/oslo/__init__.py was included in python-oslo-messaging RPM
     which should be a namespace package (bad d2to1 in Rawhide?)
*    %check is nice to have, are any test-deps missing in Fedora?

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: there rm -rf %{buildroot}%{python_sitelib}/tests to avoid packaging of unittests
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: python-oslo-messaging-doc is usable stand-alone, so no versioned dependecy is required.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: doc/source/conf.py is w/o explict license, but it's a trivial config file, top-level ASL2.0 is assumed.

[!]: License file installed when any subpackage combination is installed.
     Not included in the main package %doc
     
[x]: Package consistently uses macro is (instead of hard-coded directory
     names).
[x]: Package is named according to the Package Naming Guidelines.
[!]: Package does not generate any conflict.
     usr/lib/python2.7/site-packages/oslo/__init__.py was included in python-oslo-messaging RPM
     which should be a namespace package (bad d2to1 in Rawhide?)

[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
[x]: Package must own all directories that it creates.
[!]: Package does not own files or directories owned by other packages.
     See above about oslo namespace conflict.

[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 10240 bytes in 1 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[!]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
     Not included in the main package %doc
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[x]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     nice to have, are any test-deps missing in Fedora?

[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-oslo-messaging-1.2.0-0.1.a1.fc20.noarch.rpm
          python-oslo-messaging-doc-1.2.0-0.1.a1.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-oslo-messaging python-oslo-messaging-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-oslo-messaging (rpmlib, GLIBC filtered):
    python(abi)
    python-eventlet
    python-iso8601
    python-oslo-config
    python-setuptools
    python-six
    python-stevedore

python-oslo-messaging-doc (rpmlib, GLIBC filtered):



Provides
--------
python-oslo-messaging:
    python-oslo-messaging

python-oslo-messaging-doc:
    python-oslo-messaging-doc



Source checksums
----------------
http://tarballs.openstack.org/oslo.messaging/oslo.messaging-1.2.0a1.tar.gz :
  CHECKSUM(SHA256) this package     : 0e0af21a89d0c78a99f8d05752679e86dc10934f1d1c4f42253471678e1bf2fe
  CHECKSUM(SHA256) upstream package : 0e0af21a89d0c78a99f8d05752679e86dc10934f1d1c4f42253471678e1bf2fe


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 --bug 996059
Comment 2 Christopher Meng 2013-08-12 08:26:57 EDT
Please assign it if you intend to review it.(I'm not ;))
Comment 3 Mark McLoughlin 2013-08-12 10:22:07 EDT
Thanks Alan, I've moved the LICENSE into the main package and fixed the namespace package issue:

Spec URL: http://markmc.fedorapeople.org/python-oslo-messaging.spec
SRPM URL: http://markmc.fedorapeople.org/python-oslo-messaging-1.2.0-0.1.a1.fc20.src.rpm

I don't really have time to get the unit tests running in %check ... I copied the oslo.config spec file and that doesn't have them enabled either
Comment 4 Alan Pevec 2013-08-12 12:47:14 EDT
SRPM URL: http://markmc.fedorapeople.org/python-oslo-messaging-1.2.0-0.1.a2.fc20.src.rpm

(fixing url for fedora-review)
Comment 5 Alan Pevec 2013-08-12 12:48:46 EDT
Mark, please revert:

-%doc LICENSE doc/build/html
+%doc doc/build/html
 
-doc stands-alone, so it should keep including LICENSE.

> I don't really have time to get the unit tests running in %check ... I
> copied the oslo.config spec file and that doesn't have them enabled either

That's fine, it's non-blocking, nice-to-have item.
Comment 6 Mark McLoughlin 2013-08-12 17:58:10 EDT
(In reply to Alan Pevec from comment #5)
> Mark, please revert:
> 
> -%doc LICENSE doc/build/html
> +%doc doc/build/html
>  
> -doc stands-alone, so it should keep including LICENSE.

Thanks, that's done
Comment 7 Alan Pevec 2013-08-12 19:32:11 EDT
APPROVED

Package Review
==============

Legend:
[x] = Pass, [!] = Fail, [-] = Not applicable, [?] = Not evaluated
[ ] = Manual review needed



===== MUST items =====

Generic:
[x]: Package is licensed with an open-source compatible license and meets
     other legal requirements as defined in the legal section of Packaging
     Guidelines.
[x]: Package contains no bundled libraries without FPC exception.
[x]: Changelog in prescribed format.
[x]: Package does not run rm -rf %{buildroot} (or $RPM_BUILD_ROOT) at the
     beginning of %install.
     Note: there rm -rf %{buildroot}%{python_sitelib}/tests to avoid packaging of unittests
[x]: Sources contain only permissible code or content.
[-]: Package contains desktop file if it is a GUI application.
[-]: Development files must be in a -devel package
[x]: Package requires other packages for directories it uses.
[x]: Package uses nothing in %doc for runtime.
[x]: Package is not known to require ExcludeArch.
[x]: Fully versioned dependency in subpackages, if present.
     Note: python-oslo-messaging-doc is usable stand-alone, so no versioned dependecy is required.
[x]: Package complies to the Packaging Guidelines
[x]: License field in the package spec file matches the actual license.
     Note: doc/source/conf.py is w/o explict license, but it's a trivial config file, top-level ASL2.0 is assumed.
[x]: License file installed when any subpackage combination is installed.
[x]: Package consistently uses macro is (instead of hard-coded directory names).
[x]: Package is named according to the Package Naming Guidelines.
[x]: Package does not generate any conflict.
[x]: Package obeys FHS, except libexecdir and /usr/target.
[-]: If the package is a rename of another package, proper Obsoletes and
     Provides are present.
[x]: Package must own all directories that it creates.
[x]: Package does not own files or directories owned by other packages.
[x]: Requires correct, justified where necessary.
[x]: Spec file is legible and written in American English.
[-]: Package contains systemd file(s) if in need.
[-]: Large documentation must go in a -doc subpackage.
     Note: Documentation size is 20480 bytes in 2 files.
[x]: All build dependencies are listed in BuildRequires, except for any that
     are listed in the exceptions section of Packaging Guidelines.
[x]: Each %files section contains %defattr if rpm < 4.4
[x]: Macros in Summary, %description expandable at SRPM build time.
[x]: Package does not contain duplicates in %files.
[x]: Permissions on files are set properly.
[x]: If (and only if) the source package includes the text of the license(s)
     in its own file, then that file, containing the text of the license(s)
     for the package is included in %doc.
[x]: Package use %makeinstall only when make install' ' DESTDIR=... doesn't
     work.
[x]: Package is named using only allowed ASCII characters.
[x]: Package do not use a name that already exist
[x]: Package is not relocatable.
[x]: Sources used to build the package match the upstream source, as provided
     in the spec URL.
[x]: Spec file name must match the spec package %{name}, in the format
     %{name}.spec.
[x]: File names are valid UTF-8.
[x]: Packages must not store files under /srv, /opt or /usr/local
[x]: Package successfully compiles and builds into binary rpms on at least one
     supported primary architecture.
[x]: Package installs properly.
[x]: Rpmlint is run on all rpms the build produces.
     Note: No rpmlint messages.

Python:
[x]: Python eggs must not download any dependencies during the build process.
[x]: A package which is used by another package via an egg interface should
     provide egg info.
[x]: Package meets the Packaging Guidelines::Python
[x]: Package contains BR: python2-devel or python3-devel
[x]: Binary eggs must be removed in %prep

===== SHOULD items =====

Generic:
[x]: If the source package does not include license text(s) as a separate file
     from upstream, the packager SHOULD query upstream to include it.
[x]: Final provides and requires are sane (see attachments).
[?]: Package functions as described.
[x]: Latest version is packaged.
[x]: Package does not include license text files separate from upstream.
[-]: Description and summary sections in the package spec file contains
     translations for supported Non-English languages, if available.
[x]: Package should compile and build into binary rpms on all supported
     architectures.
[!]: %check is present and all tests pass.
     TODO one happy day
[x]: Packages should try to preserve timestamps of original installed files.
[x]: Packager, Vendor, PreReq, Copyright tags should not be in spec file
[x]: Sources can be downloaded from URI in Source: tag
[x]: Reviewer should test that the package builds in mock.
[x]: Buildroot is not present
[x]: Package has no %clean section with rm -rf %{buildroot} (or
     $RPM_BUILD_ROOT)
[x]: Dist tag is present.
[x]: No file requires outside of /etc, /bin, /sbin, /usr/bin, /usr/sbin.
[x]: SourceX tarball generation or download is documented.
[x]: SourceX is a working URL.
[x]: Spec use %global instead of %define.

===== EXTRA items =====

Generic:
[x]: Large data in /usr/share should live in a noarch subpackage if package is
     arched.
[x]: Rpmlint is run on all installed packages.
     Note: No rpmlint messages.
[x]: Spec file according to URL is the same as in SRPM.


Rpmlint
-------
Checking: python-oslo-messaging-1.2.0-0.1.a2.fc20.noarch.rpm
          python-oslo-messaging-doc-1.2.0-0.1.a2.fc20.noarch.rpm
2 packages and 0 specfiles checked; 0 errors, 0 warnings.




Rpmlint (installed packages)
----------------------------
# rpmlint python-oslo-messaging python-oslo-messaging-doc
2 packages and 0 specfiles checked; 0 errors, 0 warnings.
# echo 'rpmlint-done:'



Requires
--------
python-oslo-messaging (rpmlib, GLIBC filtered):
    python(abi)
    python-eventlet
    python-iso8601
    python-oslo-config
    python-setuptools
    python-six
    python-stevedore

python-oslo-messaging-doc (rpmlib, GLIBC filtered):



Provides
--------
python-oslo-messaging:
    python-oslo-messaging

python-oslo-messaging-doc:
    python-oslo-messaging-doc



Source checksums
----------------
http://tarballs.openstack.org/oslo.messaging/oslo.messaging-1.2.0a2.tar.gz :
  CHECKSUM(SHA256) this package     : 8b9fcfbb220c1efc498bdc73d8b1e592e78e5890f66b21e3e92535df18c96467
  CHECKSUM(SHA256) upstream package : 8b9fcfbb220c1efc498bdc73d8b1e592e78e5890f66b21e3e92535df18c96467


Generated by fedora-review 0.4.1 (b2e211f) last change: 2013-04-29
Buildroot used: fedora-rawhide-x86_64
Command line :/usr/bin/fedora-review -m fedora-rawhide-x86_64 --bug 996059
Comment 8 Mark McLoughlin 2013-08-13 02:41:35 EDT
New Package SCM Request
=======================
Package Name: python-oslo-messaging
Short Description: OpenStack common messaging library
Owners: markmc pbrady apevec ndipanov
Branches: el6
InitialCC:
Comment 9 Gwyn Ciesla 2013-08-13 08:49:02 EDT
Git done (by process-git-requests).
Comment 10 Pádraig Brady 2013-09-08 21:33:45 EDT
*** Bug 1005372 has been marked as a duplicate of this bug. ***

Note You need to log in before you can comment on or make changes to this bug.